curl --request GET \
--url 'https://api.stateset.com/api/v1/checkout/{session_id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"billing_address": null,
"cart_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"currency": "string",
"customer_email": null,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payment_method": null,
"shipping_address": null,
"shipping_method": null,
"step": "string",
"subtotal": "string",
"total": "string"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
Get checkout session
Get checkout session
GET
/
api
/
v1
/
checkout
/
{session_id}
curl --request GET \
--url 'https://api.stateset.com/api/v1/checkout/{session_id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"billing_address": null,
"cart_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"currency": "string",
"customer_email": null,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payment_method": null,
"shipping_address": null,
"shipping_method": null,
"step": "string",
"subtotal": "string",
"total": "string"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
Path parameters
string (uuid)
required
Checkout session id
Responses
ApiResponse_CheckoutSessionResponse
Checkout session
ErrorResponse
Unauthorized
ErrorResponse
Not found
curl --request GET \
--url 'https://api.stateset.com/api/v1/checkout/{session_id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"billing_address": null,
"cart_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"currency": "string",
"customer_email": null,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payment_method": null,
"shipping_address": null,
"shipping_method": null,
"step": "string",
"subtotal": "string",
"total": "string"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
โI